View Issue Details

IDProjectCategoryView StatusLast Update
0003191OpenFOAMBugpublic2019-03-15 09:26
ReporterklinkjakAssigned Towill 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version6 
Fixed in Versiondev 
Summary0003191: Missing drag models in makeThermoParcelForces
DescriptionWhy does the makeThermoParcelForces macro create only SphereDragForce and NonSphereDragForce, while makeParcelForces creates also WenYuDragForce, ErgunWenYuDragForce, and PlessisMasliyahDragForce?

https://github.com/OpenFOAM/OpenFOAM-6/blob/master/src/lagrangian/intermediate/parcels/include/makeThermoParcelForces.H
https://github.com/OpenFOAM/OpenFOAM-6/blob/master/src/lagrangian/intermediate/parcels/include/makeParcelForces.H
TagsNo tags attached.

Activities

will

2019-03-13 10:56

manager   ~0010370

Last edited: 2019-03-13 10:57

View 2 revisions

These drag models require the solver to construct and register a volume-fraction field. The only solvers that do this do not use Thermo parcel. If MPPIC were extended to simulate thermal effects also, then these drag models would almost certainly be instantiated for the Thermo parcel.

klinkjak

2019-03-13 13:32

reporter   ~0010372

Thanks. But the separation of makeThermoParcelForces and makeParcelForces still does not make sense to me. If both included all drag models right now (so there would be just makeParcelForces), all solvers distributed with OpenFOAM 6 would just work as before. The only effect would be that only MPPICFoam would actually support the aforementioned drag models, it would not be possible to enable them in other solvers (but they would still work with the basic drag models). Furthermore, developers of 3rd party solvers that have a volume-fraction field and use Thermo parcels would not have to modify the lagrangian/intermediate library just to use the other drag models. This conforms with the approaches of generic code design, so I think it should be fixed regardless of what MPPICFoam or other bundled solvers actually use.

will

2019-03-15 09:26

manager   ~0010374

Thanks to a bit of development work we've rather coincidentally been doing this week, this has now been resolved in dev. The dense-phase drag models can all now generate their own volume-fraction fields if one is not registered, so they can be used with any solver. The thermo-variant of the parcel forces make macro has been deleted accordingly.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/081db9a3509c620222ee16777e3a1be4052e8590

Issue History

Date Modified Username Field Change
2019-03-09 17:11 klinkjak New Issue
2019-03-13 10:56 will Note Added: 0010370
2019-03-13 10:57 will Note Edited: 0010370 View Revisions
2019-03-13 13:32 klinkjak Note Added: 0010372
2019-03-15 09:26 will Assigned To => will
2019-03-15 09:26 will Status new => resolved
2019-03-15 09:26 will Resolution open => fixed
2019-03-15 09:26 will Fixed in Version => dev
2019-03-15 09:26 will Note Added: 0010374